Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236112 - unresolved symbols in libraries
Summary: unresolved symbols in libraries
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: swig
Version: 4.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adam Tkac
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 23:08 UTC by clee
Modified: 2013-04-30 23:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-22 17:08:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description clee 2007-04-11 23:08:48 UTC
Description of problem:
There are unresolved symbols in the libraries shipped in this RPM.

Version-Release number of selected component (if applicable):
swig-1.3.21-6

How reproducible:
Always

Steps to Reproduce:
1. ldd -u /usr/lib64/libswig*.so
2. Read list of unresolved symbols
3. Weep

Actual results:
Suffering

Expected results:
There should be no unresolved symbols in any binary or library shipped with the OS.

Comment 1 Adam Tkac 2007-04-12 16:44:28 UTC
Yes, really. Does it cause any problem or this is only "cosmetic" problem.

-A-

Comment 2 Adam Tkac 2010-02-22 17:08:27 UTC
Red Hat Enterprise Linux 4.9 update will contain only security and performance
related fixes thus I'm closing this issue.

Note that undefined symbols are dynamic dependencies so they are resolved run-time by dynamic linker. It's not problem at all.


Note You need to log in before you can comment on or make changes to this bug.